# loggingevent.h File Reference

`#include <log4cplus/config.h>`
`#include <log4cplus/loglevel.h>`
`#include <log4cplus/ndc.h>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/helpers/timehelper.h>`
`#include <log4cplus/helpers/threads.h>`

Include dependency graph for loggingevent.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cplus
namespace | log4cplus::spi

## Detailed Description

Definition in file loggingevent.h.